# -*- coding: utf-8 -*-

x=[0]    #Le point de coordonnées (0 ; 1) appartient à la courbe
y=[1]

for i in range(40):  #On rajoute 40 points
  x.append(x[-1]+0.1)     #Abscisse du point suivant
  y.append(y[-1]*1.1)   #Ordonnée du point suivant

x.append(0)
y.append(1)
for i in range(50):
  x.append(x[-1]-0.1)
  y.append(y[-1]*0.9)

print(x[10],y[10])  #Valeur approchée de e

##########################################################
########## NE PAS TOUCHER AUX LIGNES CI-DESSOUS ##########
########## Configuration du graphique à tracer ###########
##########################################################

import matplotlib.pyplot as plt
plt.scatter(x,y,marker='.',linewidth=2,edgecolors='blue')
plt.axis([-4,4,-2,10])
plt.tick_params(axis='x',pad=100)
plt.tick_params(axis='y',pad=200)
plt.title("Courbe représentative de f définie par f(0)=1 et par f'a)=f(a) pour tout réel a")
plt.plot([0, 0], [-10, 20.0], 'k-', lw=1) 
plt.plot([-10, 10], [0, 0], 'k-', lw=1)
for i in range(-20,20):
  plt.plot([-20, 20], [i, i], 'c:', lw=1)
for i in range(-20,20):
  plt.plot([i, i], [-20, 20], 'c:', lw=1)
for i in range(-1,10):
  plt.text(-0.04, i, i, horizontalalignment = 'right', verticalalignment = 'center')
for i in range(-3,4):
  plt.text(i, -0.1, i, horizontalalignment = 'center', verticalalignment = 'top')
plt.show()
